package com.gic.haoban.manage.web.vo.order.refund;

import java.io.Serializable;
import java.util.Date;

/**
 * tab_gic_mall_order_exchange
 */
public class OrderExchangeListVO implements Serializable {

    private static final long serialVersionUID = 1L;
    private String orderExchangeId;

    /**
     * 订单换货流水号
     */
    private String orderExchangeNumber;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 订单项ID
     */
    private String orderItemId;

    /**
     * 订单流程ID
     */
    private String orderNumber;

    /**
     * 会员ID
     */
    private String memberId;

    private String memberName;
    private String memberCardNo;
    /**
     * 商家备注
     */
    private String sellerRemark;

    /**
     * 换货商品件数（或单位 贵金属-重量等）
     */
    private Double exchangeNumber;

    /**
     * 换货状态 1待换货待处理 2商家拒绝申请 3待买家退货 4待商家收货并发货 5待买家确认收货 6拒绝换货 7换货成功 8换货失败
     */
    private Integer exchangeStatus;

    /**
     * 买家物流号（退货物流）
     */
    private String buyerLogisticsCode;

    /**
     * 买家物流公司（退货物流）
     */
    private String buyerLogisticsCompanyName;

    private String sellerLogisticsCompanyName;

    private String sellerLogisticsCode;
    
    private String mallProId ;
    /**
     * 商城商品名称
     */
    private String mallProName;

    /**
     * 商品编号
     */
    private String mallProCode;

    /**
     * 商城商品图片url
     */
    private String mallProImageUrl;

    /**
     * 商城商品零售价
     */
    private Double mallProPrice;

    private String mallProSkuAttr;

    private Date createTime;
    
    /**
     * 目标商品SKU_ID
     */
    private String targetProSkuId;

    /**
     * 目标商品SKU_CODE
     */
    private String targetProSkuCode;

    /**
     * 目标商品SKU属性
     */
    private String targetProSkuAttr;

    /**
     * 目标商品图片
     */
    private String targetProImageUrl;
    
    // 赠品1是0否
    private int giftFlag;
    
    private String buyerLogisticsId;
    private String sellerLogisticsId;
    
    public String getBuyerLogisticsId() {
        return buyerLogisticsId;
    }

    public String getSellerLogisticsId() {
        return sellerLogisticsId;
    }

    public void setBuyerLogisticsId(String buyerLogisticsId) {
        this.buyerLogisticsId = buyerLogisticsId;
    }

    public void setSellerLogisticsId(String sellerLogisticsId) {
        this.sellerLogisticsId = sellerLogisticsId;
    }

    public int getGiftFlag() {
        return giftFlag;
    }

    public void setGiftFlag(int giftFlag) {
        this.giftFlag = giftFlag;
    }

    public String getTargetProSkuId() {
        return targetProSkuId;
    }

    public String getTargetProSkuCode() {
        return targetProSkuCode;
    }

    public String getTargetProSkuAttr() {
        return targetProSkuAttr;
    }

    public String getTargetProImageUrl() {
        return targetProImageUrl;
    }

    public void setTargetProSkuId(String targetProSkuId) {
        this.targetProSkuId = targetProSkuId;
    }

    public void setTargetProSkuCode(String targetProSkuCode) {
        this.targetProSkuCode = targetProSkuCode;
    }

    public void setTargetProSkuAttr(String targetProSkuAttr) {
        this.targetProSkuAttr = targetProSkuAttr;
    }

    public void setTargetProImageUrl(String targetProImageUrl) {
        this.targetProImageUrl = targetProImageUrl;
    }

    public String getMallProId() {
        return mallProId;
    }

    public void setMallProId(String mallProId) {
        this.mallProId = mallProId;
    }

    public String getOrderExchangeId() {
        return orderExchangeId;
    }

    public String getOrderExchangeNumber() {
        return orderExchangeNumber;
    }

    public String getOrderId() {
        return orderId;
    }

    public String getOrderItemId() {
        return orderItemId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public String getMemberId() {
        return memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public String getMemberCardNo() {
        return memberCardNo;
    }

    public String getSellerRemark() {
        return sellerRemark;
    }

    public Double getExchangeNumber() {
        return exchangeNumber;
    }

    public Integer getExchangeStatus() {
        return exchangeStatus;
    }

    public String getBuyerLogisticsCode() {
        return buyerLogisticsCode;
    }

    public String getBuyerLogisticsCompanyName() {
        return buyerLogisticsCompanyName;
    }

    public String getSellerLogisticsCompanyName() {
        return sellerLogisticsCompanyName;
    }

    public String getSellerLogisticsCode() {
        return sellerLogisticsCode;
    }

    public String getMallProName() {
        return mallProName;
    }

    public String getMallProCode() {
        return mallProCode;
    }

    public String getMallProImageUrl() {
        return mallProImageUrl;
    }

    public Double getMallProPrice() {
        return mallProPrice;
    }

    public String getMallProSkuAttr() {
        return mallProSkuAttr;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setOrderExchangeId(String orderExchangeId) {
        this.orderExchangeId = orderExchangeId;
    }

    public void setOrderExchangeNumber(String orderExchangeNumber) {
        this.orderExchangeNumber = orderExchangeNumber;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public void setOrderItemId(String orderItemId) {
        this.orderItemId = orderItemId;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public void setMemberCardNo(String memberCardNo) {
        this.memberCardNo = memberCardNo;
    }

    public void setSellerRemark(String sellerRemark) {
        this.sellerRemark = sellerRemark;
    }

    public void setExchangeNumber(Double exchangeNumber) {
        this.exchangeNumber = exchangeNumber;
    }

    public void setExchangeStatus(Integer exchangeStatus) {
        this.exchangeStatus = exchangeStatus;
    }

    public void setBuyerLogisticsCode(String buyerLogisticsCode) {
        this.buyerLogisticsCode = buyerLogisticsCode;
    }

    public void setBuyerLogisticsCompanyName(String buyerLogisticsCompanyName) {
        this.buyerLogisticsCompanyName = buyerLogisticsCompanyName;
    }

    public void setSellerLogisticsCompanyName(String sellerLogisticsCompanyName) {
        this.sellerLogisticsCompanyName = sellerLogisticsCompanyName;
    }

    public void setSellerLogisticsCode(String sellerLogisticsCode) {
        this.sellerLogisticsCode = sellerLogisticsCode;
    }

    public void setMallProName(String mallProName) {
        this.mallProName = mallProName;
    }

    public void setMallProCode(String mallProCode) {
        this.mallProCode = mallProCode;
    }

    public void setMallProImageUrl(String mallProImageUrl) {
        this.mallProImageUrl = mallProImageUrl;
    }

    public void setMallProPrice(Double mallProPrice) {
        this.mallProPrice = mallProPrice;
    }

    public void setMallProSkuAttr(String mallProSkuAttr) {
        this.mallProSkuAttr = mallProSkuAttr;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}